VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | Protected Attributes | List of all members
TimingFunctionBase Class Reference
Animation Timing Functions | Version 4.0
Inheritance diagram for TimingFunctionBase:

## Public Member Functions
| TimingFunctionBase (uint32_t length)
| TimingFunctionBase (const TimingFunctionBase &)=default
TimingFunctionBase & | operator= (const TimingFunctionBase &)=default
uint32_t | getLength () const
bool | isDone (uint32_t milliseconds) override
Public Member Functions inherited from ITimingFunction
virtual | ~ITimingFunction () noexcept=default
virtual float | getPosition (uint32_t milliseconds)=0

## Protected Attributes
uint32_t | length

## Constructor & Destructor Documentation

TimingFunctionBase | ( | uint32_t | length | ) |
| inline explicit

TimingFunctionBase | ( | const TimingFunctionBase & |  | ) |
| default

## Member Function Documentation

uint32_t getLength | ( |  | ) | const
| inline

bool isDone | ( | uint32_t | milliseconds | ) |
| inline override virtual

Implements ITimingFunction.

TimingFunctionBase& operator= | ( | const TimingFunctionBase & |  | ) |
| default

## Member Data Documentation

uint32_t length
| protected

The documentation for this class was generated from the following file:

- timingfunctions.h